libetonyek::IWORKXMLContextEmpty Class Reference documentation

Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKXMLContextEmpty Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextEmpty:

## Protected Member Functions
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute. More...
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element. More...
void | text (const char *value) override
| Process textual content of an element. More...
const boost::optional< ID_t > & | getId () const
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
void | endOfElement () override
| Signalize the end of an element. More...

## Private Attributes
boost::optional< ID_t > | m_id
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextEmpty()

libetonyek::IWORKXMLContextEmpty::IWORKXMLContextEmpty | ( | IWORKXMLParserState & |  | ) |
| explicitprotected

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKXMLContextEmpty::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKXMLContextEmpty::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKXMLContextEmpty::getId | ( |  | ) | const
| protected

## ◆ getRef()

const boost::optional< ID_t > & libetonyek::IWORKXMLContextEmpty::getRef | ( |  | ) | const
| protected

## ◆ text()

void libetonyek::IWORKXMLContextEmpty::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKXMLContextEmpty::m_id
| private

Referenced by attribute(), and getId().

## ◆ m_ref

boost::optional<ID_t> libetonyek::IWORKXMLContextEmpty::m_ref
| private

Referenced by attribute(), and getRef().

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp